"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const isArray = require("./isArray.js");
const _isKey = require("./_isKey.js");
const _stringToPath = require("./_stringToPath.js");
const toString = require("./toString.js");
function castPath(value, object) {
  if (isArray.default(value)) {
    return value;
  }
  return _isKey.default(value, object) ? [value] : _stringToPath.default(toString.default(value));
}
exports.default = castPath;
